Udhëzues: Instalo paketat .tar.gz dhe .tar.bz2

Në fillim kur fillojmë në Linux dhe kërkojmë një program, është normale që të gjejmë një .deb ose .rpm dhe në shumë raste të gjejmë programe me shtrirje .tar.gz y .tar.bz2, këto skedarë janë të kompresuar dhe zakonisht përmbajnë udhëzime të veçanta për instalimin e tij.

Instalimi për këto dy lloje paketash është saktësisht i njëjtë

Së pari futemi në dosjen ku kemi skedarin, nëse dosja ka disa fjalë duhet t'i vendosim me "" ose nëse nuk kërkon dosje me secilën fjalë

dosje cd ku është skedari cd "dosje ku është skedari"

Brenda ne hapim zinxhirin e skedarit

tar -zxvf emri i skedarit.tar.gz tar -jxvf skedari.tar.bz2

Ne konfigurojmë

. / Configure

Ne bëjmë (përpilojmë)

bërë

Tani instalo

make install

Ndonjëherë mund të na japë një gabim në ./configure, në atë rast nuk ka nevojë për përpilim dhe me ekzekutimin kemi mjaft, në një terminal që bëjmë

Artikulli i lidhur:
Komandat për të njohur sistemin (identifikoni harduerin dhe disa konfigurime softuerësh)
emri i programit

Ose krijojmë një lëshues.


Përmbajtja e artikullit i përmbahet parimeve tona të etika editoriale. Për të raportuar një gabim klikoni këtu.

102 komente, lini tuajën

Lini komentin tuaj

Adresa juaj e emailit nuk do të publikohet. Fusha e kërkuar janë shënuar me *

*

*

  1. Përgjegjës për të dhënat: Miguel Ángel Gatón
  2. Qëllimi i të dhënave: Kontrolloni SPAM, menaxhimin e komenteve.
  3. Legjitimimi: Pëlqimi juaj
  4. Komunikimi i të dhënave: Të dhënat nuk do t'u komunikohen palëve të treta përveç me detyrim ligjor.
  5. Ruajtja e të dhënave: Baza e të dhënave e organizuar nga Occentus Networks (BE)
  6. Të drejtat: Në çdo kohë mund të kufizoni, rikuperoni dhe fshini informacionin tuaj.

  1.   moskosov dijo

    wena, +1

  2.   i duhur dijo

    në të vërtetë gjëja e saktë për të zbërthyer është
    skedar tar -zxvf.tar.gz
    skedar tar -jxvf.tar.bz2

    dhe për konfigurimin ekziston një pafundësi opsionesh (në varësi të softuerit) për të personalizuar instalimin

    ./configure -help

    Me këtë ata do të shohin opsionet e ndryshme shtesë kur instalojnë një program.
    Jo të gjitha shpërndarjet përdorin / usr / lokale për të instaluar programe, që duhet përmendur gjithashtu.

    Keni harruar të përmendni se si të çinstaloni një program të instaluar në atë mënyrë. Përveç përcaktimit të optimizimeve për secilën arkitekturë.

    Gjithsesi, iniciativë e mirë, por ju keni humbur shumë ... shumë informacion për të ndarë.

    të fala

    1.    Guxim dijo

      Somethingshtë diçka që nuk e kam përdorur kurrë, shumicën e programeve që gjej në depot zyrtare.

      E vërteta në lidhje me dekompresimin është se gjithmonë ka qenë e mirë për mua kështu.

      Unë e shkrova atë sepse të gjithë ata që thonë, "kur e zbërtheni lexojnë udhëzimet" më vidhosin.

      Sidoqoftë, unë e shoh .tar.gz si mjetin e fundit, nëse nuk ka asnjë në paketën deb / rpm ose në depo

      1.    i duhur dijo

        "E vërteta është se dekompresimi ka qenë gjithmonë i mirë për mua kështu".
        ne jemi dakord, unë nuk e kontestoj atë, por kjo nuk do të thotë se është gjëja e duhur për të bërë. Jo të gjitha distrosjet zbuten "në mënyrë inteligjente", disa duhet të shtojnë më shumë parametra.

        1.    Guxim dijo

          Njeri, nuk është faji im që ka distros nënnormale hahahaha

          1.    i duhur dijo

            Njeri puthje ... puthje

          2.    Guxim dijo

            Njeri, KISS nuk është i çmendur, ju tashmë e dini që me Slackware hahahaha

          3.    i duhur dijo

            xD
            Kjo është arsyeja pse unë ju them se

            E thjeshtë! = Lehtë.

  3.   Yoyo dijo

    +1 për të duhur

    1.    Pepe dijo

      Njëri më gomar se tjetri. Këta "gjeni" janë jashtë temës.

  4.   Lithos523 dijo

    Nëse ndryshoni "bëni instalimin" në "checkinstall" (mund ta instaloni me aftësi, është në depo) do të instalojë programin, por gjithashtu:
    -Krijoni një .deb kështu që mund ta instaloni në raste të ardhshme
    -Programi i instaluar do të shfaqet në Synaptic, kështu që lehtë mund ta çinstaloni nga atje

    1.    Guxim dijo

      Përdoruesit e harkut e kanë të përfshirë me aftësinë ...

  5.   jelpasajero dijo

    Na vjen keq për injorancën time, por a i zgjidh aplikacioni alien të gjitha ato probleme?

    1.    i duhur dijo

      jo, sepse alien punon me paketa të përpiluara dhe tar.gz ose tar.bz2 janë skedarë të kompresuar me kodin burimor.

  6.   pandev92 dijo

    Ju nuk mund të bëni vërtet një tutorial për këtë, shumicën e kohës, të paktën paketat qt përpilohen në mënyra të tjera, madje edhe më të çuditshme.

    1.    hipersajan_x dijo

      Pikërisht unë do të thoja të njëjtën gjë.
      Ato që përdorin qmake nga Qt janë pak a shumë si këto:


      cd CarpetaPrograma
      qmake
      make
      sudo make install

      Dhe shtoj një rast tjetër që janë cmakes:


      cd CarpetaPrograma
      mkdir build
      cd build
      cmake ..
      make
      sudo make install

      Ose ka të tjerë që thjesht duhet të ekzekutojnë make && sudo make install.
      Këto janë rastet më të zakonshme, por ka shumë më tepër variante: s

      1.    mcder3 dijo

        Ka raste që disa aplikacione të bëra në QT nuk sjellin formularin. Pra, është koha për t'i krijuar ato me rreshtin e mëposhtëm:

        qmake -bëj fotografi

        të fala

  7.   jelpasajero dijo

    Le të shohim nëse e sqaroj, kur duhet të përdor një tar.gz ose një tar.bz2 gjithçka që bëj për të gjeneruar një .deb ose një all.deb duke përdorur alien është të vendos sudo alien install + emrin e paketës. A nuk është e njëjta gjë me përpilimin?

    1.    hipersajan_x dijo

      Jo, përpilimi po transformon kodin burimor të programit në kod makine.
      Ndërsa ajo që bëni me alien është ripaketimi i cili po konverton formatin e paketës së një shpërndarjeje në formatin e paketës së një shpërndarjeje tjetër.
      Për ta bërë më të thjeshtë, është sikur të keni një skedar të kompresuar në RAR dhe dëshironi ta ktheni atë në ZIP, ju do ta dekompresonit skedarin në RAR dhe do ta kompresonit përsëri në ZIP, atë që bën i huaji.

  8.   StuMx dijo

    Përpilimi bëhet në make, jo në konfigurim. Skedari i konfigurimit është një skenar që verifikon që sistemi përputhet me të gjitha vartësitë për të përpiluar programin, atëherë gjeneron skedarin make (i cili është ai që përcakton se si do të përpilohet) sipas sistemit tonë.

    1.    Guxim dijo

      Tani e heq sepse ky artikull është tashmë një kohë e gjatë nga kur e kam shkruar në prill ose maj. Nuk e kontrollova pothuajse duke hequr ndonjë fjalë të keqe asgjë tjetër

  9.   jelpasajero dijo

    Hi
    Mendoj se nuk po e shpjegoj veten shumë mirë. Alien jo vetëm që transformon një paketë rpm në .deb, nëse merrni kodin burimor të një programi, qoftë gz, apo bz2, ai e shndërron atë në një korrigjues të vetë-instalimit. Prandaj pyetja ime. Unë kam qenë në Linux për një kohë të shkurtër, duroni me mua.

  10.   Marco dijo

    falni injorancën time, por këto hapa janë të vlefshëm edhe në Chakra, apo ndryshon diçka ???

    1.    KZKG ^ Gaara dijo

      Asnjë burrë fare
      Si të tillë, këto hapa janë pothuajse një standard në të gjitha distros, por nuk është 100% i sigurt se këto janë GJITHMON hapat që duhet të ndiqni. Kjo është arsyeja pse unë ju rekomandoj që gjithmonë të lexoni skedarin e udhëzimeve (LEXONI zakonisht) para se të bëni ndonjë gjë.

    2.    i duhur dijo

      siç thotë @ KZKG ^ Gaara, kjo nuk është gjithmonë rasti, është një standard që do të funksionojë për të gjithë shpërndarjet për sa kohë që programi është shkruar në C / C ++

  11.   Carlos-Xfce dijo

    Kur të ballafaqohem përsëri me një .tar.gz të atyre, do të kthehem te ky artikull. Sa urrej paketa të tilla!

    1.    Guxim dijo

      Fuck ju jeni mjaft e vjetër për të instaluar këto paketa HAHAHAHAHA

  12.   VulkKreu dijo

    Ju lutemi më falni mungesën time të njohurive, kjo metodë instalimi funksionon edhe për Debian. Sepse provoj dhe provoj dhe më jep një gabim.

  13.   Laura Tejera dijo

    Kjo është arsyeja pse askush nuk përdor linux, të bësh diçka budalla është një hile

    1.    elav dijo

      Sa kurioz, disa nga ato gjëra budallaqe që ju përmendni, përdoruesit "super të talentuar" të Windows dhe OS X nuk mund t'i bëjnë ato, ose ata kanë frikë prej tyre.

      1.    Laura Tejera dijo

        gjëja qesharake është sesi njerëzit si ju mund të ndjekin një OS kaq të mbyllur.

        1.    KZKG ^ Gaara dijo

          A keni shmangur përgjigjen e pyetjes? … A mund të bëjnë përdoruesit e Windows ose gjenitët OS X aq shumë gjëra me sistemin e tyre sa tregojmë në këtë sit? 🙂

          Nga rruga, ju përdorni Ubuntu kështu ... për çfarë po flasim?

          1.    Laura Tejera dijo

            vazhdo manga mediokre

            1.    KZKG ^ Gaara dijo

              A jemi mediokër? … Uff… LOL!


      2.    Pepe dijo

        Jemi në vitin 2015!
        Unë mendoj se nuk është e nevojshme të humbasësh kaq shumë kohë duke studiuar për të punuar nga tastiera.
        Pse të mos përdorni aplikacione të automatizuara për këtë?
        Në çdo rast, ata që "pëlqejnë" të shkruajnë komandat nga tastiera atje, le të vazhdojnë ta bëjnë, por paralelisht do të ishte e nevojshme të kishin të njëjtat komanda të automatizuara. Unë nuk jam duke kërkuar që ju të dërgoni një raketë në hënë.

    2.    Santiago Luis Bazan dijo

      arsyet e përdorimit të softuerit të lirë janë etika morale. Kurrë mos lejoni që askujt t'i mohohen liritë e tij njerëzore

      1.    Pepe dijo

        E vërteta që sanata e "lirisë" në programe më ka ngopur. A nuk mund të ndalonin së lëvduari një zot inekzistent dhe të ishin pak më të përulur?

    3.    Pepe dijo

      Keni të drejtë Laura, këta njerëz me Linux-in e tyre e komplikojnë deri në kockë. Në put0 windows gjërat janë më të lehta. Unë nuk e nënçmoj Linux-in por nuk mund të ndodhë që për të instaluar ndonjë studim kaloni orë e orë të tëra duke hetuar se si funksionon tar dhe gjithë meresundën në mënyrë që në fund të ditës të mbërtheni me atë "fillestar Linux ..."

      Kam ndërmend të përdor një sistem operativ të qëndrueshëm por të mos heq orë të tëra nga prodhimi sepse më duhet të punoj, nuk kam dëshirë të bëhem "i diplomuar në Linux".

  14.   Thanatos dijo

    Diçka gjithnjë mungon ... kur jap. / Konfiguro marr: konfiguro: gabim: intltooli juaj është shumë i vjetër. Ju duhet intltool 0.35.0 ose më vonë.

    Më pas udhëzimet e make-it kthehen: Asnjë shënjestër nuk ishte specifikuar dhe asnjë formular nuk u gjet. I lartë

    install install: Nuk ka asnjë rregull për të ndërtuar `install target

    Unë jam një fillestar dhe është mirë të bëj kërkime për të mësuar, por FUCK, nuk mund ta shpjegoni me guralecë me ngjyrë për ata prej nesh që jemi të ri në Linux?

    1.    Ponchus dijo

      Thanatos Unë kisha një problem të ngjashëm dhe unë ndaj rezultatin tim:
      (Së pari, për të sqaruar se unë jam gjithashtu një neofit në botën Linux dhe aventurat e mia në këtë kontekst me "aromë" (distro) ndaj Ubuntu është një javë).
      Duke supozuar se ajo hyn në dosjen time «Shkarkime» me komandën «cd» ku u gjet paketa ime e programit «SoulSeek» me mbarim «.tgz» në terminal ose tastierë:
      "./Configure" më dha një gabim që skedari ose drejtoria nuk ekzistonte
      "Make" më dha të njëjtin gabim si ti ... kështu që unë nuk vazhdoi me komandën "sudo make install" (sudo është sepse Ubuntu kërkon "Super User dhe fjalëkalimin e tij" për të ekzekutuar këtë komandë, me fjalë të tjera bëj një instalim )
      Duke hetuar skedarin e pa zbërthyer më parë, kuptova diçka që mund të të ndodhë ty dhe kjo është se skedari i paketuar ishte i llojit "skedar i ekzekutueshëm" (kliko me të djathtën - pronat) dhe duheshin 2 klikime për ta ekzekutuar.
      Problemi juaj në «./configure» mund të zgjidhet me një azhurnim të paketave ose depove (këto terma më ngatërrojnë pak) të instaluar në Distro tuaj, pasi ju tregon se «intItooI» është i vjetër dhe keni nevojë për një më të re dhe mendoj se ndoshta kjo paketë është ajo që përpilon në distro. Në Ubuntu ju e bëni atë në të njëjtin terminal duke shtypur "sudo apt-get update" dhe azhurnoni të gjitha paketat në sistem.
      Shpresoj se kam qenë i dobishëm.

    2.    Pepe dijo

      Ashtu siç i thashë Laura, kjo gjë e Linux kërkon shumë kohë. Më dha të njëjtin mesazh gabimi si yti dhe unë jam si fantazma e Canterville nga një vend në tjetrin dhe asgjë fare.

      Shefi im më tha: "Ju keni 2 ditë kohë për të gjetur zgjidhjen, nëse jo, ne kthehemi në dritare".

  15.   Jonathan dijo

    Falënderim

  16.   ivan dijo

    pershendetje une kam te njejtin problem dua te instaloj skype 4.0. Në pclinuxOS tim, kam shkarkuar tar, gz2 dhe dekompresuar dhe derisa kam marrë, kur të bëj. / Konfiguro më tregon se skedari nuk ekziston .. ku kam humbur apo çfarë? më thuaj, në pclinuxOS (versioni i fundit i lëshuar) skype është instaluar por është versioni 2.2 dhe unë dua të instaloj 4,
    A ka ndonjë hile që duhet të bëj për ta instaluar më në fund këtë? dicka ne sinaptik qe nuk e di ???
    Unë jam i ri në këtë sistem, kam provuar distro të tjera më parë dhe deri më tani gjithçka është në rregull përveç kësaj ..

    regards

    1.    Pepe dijo

      Jam unë apo nuk mendoj se dikush i di këto pyetje.

    2.    F7eo dijo

      Përshëndetje, ka kaluar një kohë e gjatë që nga pyetja juaj.

      Unë ju rekomandoj që të shkarkoni versionin më të fundit të Skype për Windows (R)
      dhe që ju përdorni Verë për ta ekzekutuar në distroin tuaj GNU-Linux.

  17.   birrë dijo

    Përshëndetje! Unë kam të njëjtin problem: Kam shkarkuar versionin e fundit të softuerit të qendrës me shtesën tar.gz dhe kur arrita në shembullin "./configure" pata një gabim, ashtu si në "make". ÇFAR IS ITSHT "?? FALEMINDERIT!! Përveç kësaj, qendra e softverit ka bllokuar mundësinë e instalimit !!!

  18.   Imazhi i mbajtësit të vendit Carlos Rivera dijo

    Faleminderit më ndihmoi shumë !!!!

  19.   michael dijo

    si të krijoni një lëshues

  20.   Angi dijo

    Një pyetje, a mund të kontrolloni varësinë e një skedari tar.gz para se të ekzekutoni ./configure ???

  21.   joseluis dijo

    Unë jam i ri në linux, duket shumë e vështirë për të instaluar tar gz gz2 tableta dhe nëse marr një deb i mungojnë vartësitë dhe me rpm njëjtë nëse është i586 ose i686 ose i386 dhe gjëja më e keqe është që unë nuk kam internet në shtëpinë time. Duke parë kaq shumë komente në kundërshtim me një të huton më keq.

  22.   gabriel yamamoto dijo

    informacion i mirë, por disa paketa * .tar.bz2 janë përpiluar tashmë dhe për t'i instaluar ju thjesht duhet t'i hiqni ato nga zinxhiri në çdo dosje (mundësisht / vendosni në mënyrë që të jetë në dispozicion për të gjithë përdoruesit) dhe të bëni një qasje të drejtpërdrejtë në binar në / usr / lokale / bin

  23.   Gonzalo dijo

    Shpjegim shumë i mirë se si të përdorni skedarët tar.gz. Faleminderit shumë për informacionin. Përshëndetje për të gjithë ekipin

  24.   juancuyo dijo

    Nuk funksionon për mua
    cd / home / ju / downloads / icecat-24.0 ——-> Përgjigjet për mua
    bash: cd: home / ju / downloads / icecat-24.0: skedari ose direktoria nuk ekziston
    cfare po bej gabim ??? Sistemi operativ është Voyager 14.04 LTS (xubuntu) Xfce desktop Gdebi nuk është në menunë e përmbajtjes dhe as nuk janë sinaptike, por ato janë në menunë startuese, edhe nëse i hap, nuk i njohin dosjet, është sikur të mos ekzistojnë. E zbërtheva në të njëjtën dosje shkarkimi. A është gabimisht i zhveshur ????

  25.   claudio dijo

    Ky udhëzues punon gjithashtu për .tgz?

    1.    joakoej dijo

      Jo, .tgz janë formati që përdor Slackware dhe ato janë përpiluar tashmë, pavarësisht nëse e keni shkarkuar atë ose e keni përpiluar nga një slackbuild

    2.    joakoej dijo

      Për ta instaluar duhet të përdorni installpkg "emrin e paketës".

  26.   asdf dijo

    Na vjen keq por nuk e zgjidh shumë problemin për mua, kur thua. / Konfiguro dhe ne e konfigurojmë, duhet të specifikosh më shumë, apo jo? nëse thjesht vendos. / konfiguro më thotë
    bash: ./configure: Skedari ose direktoria nuk ekziston

    atëherë ju thoni "ne bëjmë"
    Kodi:
    Vendosini mbështetësit tuaj në qendër të vëmendjes, përmendni kontributin e të sapoardhurve dhe bëjeni të duket bukur! Mos u frikësoni nga bashkëpunimi dhe jepuni meritat grupeve të tjera që punojnë me tema të ngjashme. Merrni pjesë në kauzat e tyre, karma njëmend funksionon!
    Rezultati im:
    make: *** Asnjë shënjestër nuk u specifikua dhe asnjë formular nuk u gjet. I lartë

    Bëni instalimin
    make: *** Nuk ka rregull për ndërtimin e synimit "install". I lartë

    Dhe pastaj ju thoni "ne ekzekutojmë programin"
    Kodi:
    Emri i programit

    Si mund ta di se cili është emri ose cili është i ekzekutueshëm? Shtë shumë abstrakte, mbase ju merrni si të mirëqena disa gjëra që do të dini, por ata që vijnë për të parë një tutorial mund të mos i dinë

    1.    Damian dijo

      asdf

      Unë isha duke hetuar dhe gabimi që lind gjatë dhënies ./configure është për shkak të mungesës së programit të përpilimit (si mund të përpilonim pa pasur një program që e bën atë?). komanda për të instaluar një përpilues për të hyrë është:

      aftësia sudo instaloni ndërtimin-thelbësore

      sapo të instalohet, ne shkojmë në dosjen ku është skedari për të hequr zinxhirin dhe ekzekutojmë:

      tar -emri i programit -zxvf.tar.gz

      Pastaj futemi në dosjen e pa zbërthyer të programit, dhe nëse aty ekzekutojmë. / Konfiguro dhe më pas sudo bëje instalimin

      Shpresoj se kam ndihmuar!

      Përshëndetje.

      1.    Damian dijo

        më falni, kam harruar të sqaroj, në rastin tim për të kryer "make" dhe "sudo apt-get install program" Unë kam për të hyrë në dosjen "bazë" brenda dosje unzipped, vetëm atje kam marrë komandat për të përpiluar ( bëj) dhe instaloj.

      2.    Carlos dijo

        më jep probleme kur e përdor bëj që të thotë se nuk gjen asgjë për të ndërtuar lart

  27.   Brenda dijo

    Na vjen keq që kam këtë problem Unë e ekzekutoj këtë komandë më tregon një gabim dhe nuk mund ta krijoj formularin
    desktop: ~ / Shkarkon $ tar -jxvf iReport-4.1.3.tar.bz2
    tar (fëmija): iReport-4.1.3.tar.bz2: Nuk mund të hapet: Skedari ose drejtoria nuk ekzistojnë
    tar (fëmijë): Gabimi nuk mund të rikuperohet: ekziston tani
    tar: Fëmija e ktheu statusin 2
    tar: Gabimi nuk mund të rikuperohet: ekziston tani
    te lutem =)

  28.   Aaron dijo

    Dite te mire miq,
    Unë jam i ri në linux, megjithatë, kam pasur një shqetësim të vogël kur bëhet fjalë për të njohur një pajisje që është një lexues dixhital biometrik, unë thjesht googled dhe me sa duket e gjeta atë megjithatë, ajo shkarkuar me një shtesë .tar.gz, provoni Unzip atë në një dosje, disa skedarë ishin zbërthyer, por unë nuk e di nëse pas kësaj unë kam për të ekzekutuar diçka tjetër ose ngjitur ato skedarë të hapur në një dosje në sistem, nuk e di, nëse më ndihmoni ju lutem, për të drejtuar procesin mirë, unë do të isha shumë mirënjohës, kam të instaluar paraprakisht linux Debian 7 në OS XNUMX. përshëndetje dhe shumë faleminderit.

  29.   Rufo López Retortillo dijo

    Unë përdor të dy Linex 2011 dhe Linex 2013 dhe problemi më i madh që gjej kur instaloj aplikacione është se ato nuk janë të ngarkuara në listën e aplikacioneve në grupin e tyre (grafikë, zyra, multimedia, etj.) Dhe nëse dua të krijoj një lëshues nuk e di se ku Më duhet të shkoj të gjej skedarin e lëshuesit të aplikacionit. Në cilën dosje e krijoni? Si ta bëjmë atë?
    Kur instalohen nga depot, lëshuesit vendosen në grupin e tyre, a mund të bëhet kjo duke instaluar, tar.gz siç përshkruhet në këtë ueb?
    Faleminderit për ndihmën

  30.   Carlos dijo

    Ju lutem më ndihmoni që të kem një sistem tjetër operativ të quajtur lps 1.5.5 dhe nuk mund ta azhurnoj programin

  31.   Carlos dijo

    Ju lutem ju tregoj përsëri se nuk mund të zbërthej një skedar tar.bz2.Kam një sistem operativ të quajtur lps 1.5.5 dhe nuk di si ta përdor. Ju lutem më ndihmoni, ju falënderoj

  32.   joscastel dijo

    pasi të keni zbërthyer skedarin bz2, komanda ./configure NUK punon sepse NUK ekziston

    1.    joscastel dijo

      Unë kam ubuntu 14.04LTS

  33.   ti e di dijo

    Unë nuk e kuptoj, në sllaks .tar.gz shkon në kinema, por në ubuntu nuk kam asnjë mënyrë për të hartuar

  34.   Raul dijo

    Cili është sistemi operativ më i mirë? sistemi operativ më i mirë është që zgjidh problemet tuaja.

  35.   Juanzito dijo

    Njerëzit linux janë të mahnitshëm. Jam përpjekur të instaloj ZinjaI në distromin tim të sapo instaluar LinuxMint për të paktën 5 orë.
    Unë jam duke ecur nëpër të gjitha forumet që gjej dhe në të gjithë (por të gjithë, duke përfshirë këtë), ata ju japin gjysmën e informacionit.
    Për shembull, unë tashmë kam hapur terminalin, por nuk mund të vendos adresën se ku ndodhet skedari i shkarkuar (i cili është / home / user / Downloads / zinjai).
    E tëra që marr është një gabim: "bash: cd: user: Asnjë skedar apo direktori e tillë.
    Unë e kuptoj që ata duan të përhapin dhe të përhapin përdorimin e një sistemi operativ, por, duke mohuar informacionin ose duke shpjeguar gjithçka në gjysmë masash, e vetmja gjë që ata do të arrijnë është që, përdoruesit si unë, të cilët kishin qëllimin e vendosur të lëviznin nga Windows në Linux, hiq dorë dhe qëndro në W7 tim, i keq, por i dobishëm dhe i menaxhueshëm.

    Brohoritje

    PS: Çfarë u kushtoi atyre një instaluesi të mjerë me një ndërfaqe grafike? Pse sot në shekullin XXI, a duhet që ata të vazhdojnë të përdorin diçka të ngjashme me DOS për të instaluar një program të vogël të mjerë ?. Djemtë ... le të shohim nëse ata gjallërohen pak ....

    1.    Ocelot dijo

      cd ~ / Shkarkimet / rruga e shkrimit të instalimit.

      Një këshillë: rrinë me dritare. Secili sistem operativ është krijuar për një lloj personi. Windows është bërë për njerëzit që preferojnë t'u jepet gjithçka e bazuar dhe me përpjekjen minimale të mundshme dhe unë shoh se është çështja juaj. Ka njerëz që nuk munden ose nuk duan të aspirojnë diçka më shumë sesa tjetër, tjetër, tjetër ... pranojnë. Kjo nuk është e keqe, ne thjesht duhet të dimë kufizimet tona dhe t'i përshtatemi atyre.

      Një këshillë tjetër: Sikur ta dinit se sa gjëra arrihen me përulësi dhe duke përdorur dy fjalë si "të lutem". Do të të befasonte. Bëni shpesh.

      1.    Knario dijo

        Përshëndetje Linuxeros.
        Faleminderit shumë për tutorialin, më ndihmoi të instaloj drejtuesit për adaptorin wifi dwa-131.
        Kam pak dyshim, kam bërë gjithçka siç thonë më lart.
        Shkoni në rrugën e skedarit, bëni tar. dhe pastaj Bëni, prisni që ajo të përfundojë dhe pastaj instaloni.
        Deri në atë hap nuk kam dhënë asnjë gabim.
        Pyetja që kam është të di nëse i kam të instaluar shoferët apo duhet të bëj diçka tjetër.
        Juanzito .. gëzohu dhe jepi Linux një shans, cilado qoftë shpërndarja, vendosa të lë windows 7 para një jave dhe jam më i humbur se dreqin, hahaha, por duke lexuar këtu dhe atje gjeni informacione që ndonjëherë janë të vështira për ju Për ta kuptuar, gjithçka varet nga përpjekja e secilit që të dëshirojë të mësojë dhe të dalë nga monopoli ku të ngulit Windows (është mendimi im).
        Një gjë ... në terminalin linux, shkronjat e mëdha llogariten. 😉

        PS: Unë duhet të bëj diçka tjetër pas instalimit të Kame. ??

        Shumë falemnderit.
        Faleminderit shumë dhe përshëndetje nga Ishujt Kanarie.

      2.    Harqe dijo

        dhe kush je ti që t'i thuash një përdoruesi të kthehet në sistemin X? A mendoni se Richard stallman?

        Pajtohem se çfarë thonë ata në disa komente se sistemi operativ më i mirë është ai që sistemi i përshtatet përdoruesit dhe jo e kundërta.

        Unë personalisht e dua Windows .exe sepse siç thoni ju nuk keni nevojë të jeni një gjeni kompjuteri për të instaluar diçka shumë të thjeshtë si një bllok shënimesh të thjeshtë; krahasuar këtu në linux se nëse nuk është në aplikacionet e dedikuara të softverit, ju qëndroni të ngatërruar të shekullit me një tabletë.

        Kam ardhur këtu duke kërkuar dhe organizuar informacione për të instaluar programe në Linux pasi jam duke u përgatitur të instaloj nenexhikun në një makinë prodhuese dhe e di që nëse nuk përgatit nuk do të jem në gjendje të instaloj asgjë nëse nuk është në depo.

        Tani "ju lutem" të gjithë pyesin problemin është se askush nuk u përgjigjet atyre, kjo është arsyeja pse nganjëherë njerëzit duhet të jenë agresivë, kështu që mos thoni kotësi.

      3.    Pablo dijo

        me falni .. por une gjithmone kam mbrojtur perdorimin e softverit te lire dhe te hapur .. Kam perdorur kompjutera per 30 vjet .. dhe jam 37 ..
        problemi është që në përgjithësi në linux është perfekte që kushdo që dëshiron ose duhet të "dijë" pak më shumë për diçka të thjeshtë si instalimi i një programi, një azhurnimi apo çfarëdo ... problemi vjen në atë që shumë njerëz duhet të punojnë dhe të përdorin kompjuterin (me ndonjë OS) për të bërë detyrën e tij specifike të punës .. kështu që edhe nëse duhen 10 minuta për të shkarkuar një .gz dhe instaluar atë .. ose nëse, siç bëjnë shumica e njerëzve, do të duhen orë .. ato janë minuta ose orë që nuk janë në gjendje bëj punën tënde dhe aty pothuajse të gjithëve ju mbaron durimi ...
        Në rastin tim .. në punë unë përdor vetëm Ubuntu që është ajo që instalohet si parazgjedhje në PC, pasi është një qendër shkencore, por kjo më bën të kaloj më shumë orë duke u përpjekur të instaloj apo edhe të zbuloj se si të bëj një specifik të butë (për shembull Unë jam një gjeograf) funksionon .. ose që pas çdo azhurnimi të tij .. rikuperoni të gjitha mjetet sepse gjysma ndalojnë së punuari brenda një programi ..
        në këtë rast specifik .. Unë kisha nevojë të shihja një webinar / forum në punë .. dhe meqenëse ata përdorin java më mungon shenja që duhet ta azhurnoj .. ok .. shkoni në faqen e java .. gjeni skedarin për OS tim, 14.04 .. shikoni "" udhëzimet e shkarkimit dhe instalimit ".. shkarkoni një .gz dhe prej andej e tutje ... zhbllokoni .. ok, dhe ... thotë" instaloni ".. dhe voila .. vetëm ju nuk mund të bëni asgjë me informacioni i këtij postimi .. çfarë të bëj sapo të zbërthej «jre-blablabla e një jete.gz» ??

  36.   Carlos Fabian Ferra dijo

    kjo kurrë nuk ka funksionuar për mua në ndonjë distro

    1.    Yukiteru dijo

      Nëse nuk ka punuar për ju, është shtresa e pastër 8.

      1.    Yank Carlos dijo

        Gjeniu!

  37.   Ignacio Navarro dijo

    Ndërsa e përdor shumë herë pas here, sa herë që hyj këtu për të parë se si bëhet.
    Faleminderit shumë që e keni shkruar dhe që nuk e keni fshirë pas kaq shumë kohësh.

  38.   ramon dijo

    siç mund ta shihni në sinaptik paketën e re të instaluar nëse ju tregon më të vjetrën (të qëndrueshme sipas distro) ¿?

  39.   Jorge dijo

    gjithçka shkon në mut kur të arrish. / konfiguro nuk ka njeri që të shpjegon mirë kur thua që skedari nuk ekziston

    1.    Elvis dijo

      Po përpiqem të instaloj wifi nga broadcom as ./configure, as make as install install works.

      sekuenca logjike është ekzekutimi i parë. / konfiguro por me sa duket ky udhëzim i referohet vetëm një direktorie konfigurimi dhe ekzekuton ndonjë skedar të vendosur atje, kjo duhet të vijë në paketën që shkarkohet nga broadcom, por në rastin tim ky direktori nuk është atje, kjo është supozuar për të kryer konfigurimin është një kontroll dhe krijimi i skedarit Makefile, por kur zhbllokoni paketën, kuptoj që Makefile është përfshirë, dy komandat e tjera që bëjnë dhe instalojnë nuk funksionojnë për mua, do të ndodhte sepse versioni i fundit i os elementare nuk e mbështet atë freya bazuar në ubuntu 1

    2.    Alejandro TorMar dijo

      E vërteta? Kjo metodë nuk ka funksionuar kurrë për mua dhe unë gjithmonë zgjedh pako ose komanda .deb nga Terminali ... Sa keq që nuk ka asgjë të qartë për të instaluar .tar.gz

  40.   Elvis dijo

    Po përpiqem të instaloj wifi nga broadcom as ./configure, as make as install install works.

    sekuenca logjike është ekzekutimi i parë. / konfiguro por me sa duket ky udhëzim i referohet vetëm një direktorie konfigurimi dhe ekzekuton ndonjë skedar të vendosur atje, kjo duhet të vijë në paketën që shkarkohet nga broadcom, por në rastin tim ky direktori nuk është atje, kjo është supozuar për të kryer konfigurimin është një kontroll dhe krijimi i skedarit Makefile, por kur zhbllokoni paketën, kuptoj që Makefile është përfshirë, dy komandat e tjera që bëjnë dhe instalojnë nuk funksionojnë për mua, do të ndodhte sepse versioni i fundit i os elementare nuk e mbështet atë freya bazuar në ubuntu 1

  41.   Alejandro TorMar dijo

    E vërteta? Kjo metodë nuk më ka shërbyer kurrë mirë dhe unë gjithmonë zgjedh pako ose komanda .deb nga Terminali ... Sa keq që nuk ka asgjë të qartë për të instaluar .tar.gz

  42.   Alejandro TorMar dijo

    Pse nuk është azhurnuar ky udhëzues? Apo ata bëjnë një të ri?
    Të gjithë këtu ankohen se nuk u shërbeu atyre dhe tashmë i kanë vitet e saj.

  43.   MATOSH Hektor dijo

    Përshëndetje, unë dua ndihmë, me atë për të instaluar pako .. Unë kam Ubuntu version 15 .. diçka .. Unë dua të instaloj plugin adobe flash, sepse është shumë e dobishme ta instaloni, pasi me adobe flash mund të fut disa faqe në internet , ku mund të shihni TV dhe gjithashtu të dëgjoni radio .. ju lutem a mund të më dërgoni një udhëzues hap pas hapi .. Unë nuk kam shumë përvojë në atë komandë që do të thotë të përdorësh një terminal.

    Ndihmë..faleminderit

  44.   abraham dijo

    Përshëndetje të gjithëve !!! Pasi lexova pothuajse të gjitha komentet, unë kërkova një manual linux dhe kaq.
    Shoku OCELOTE, pranoje këtë kritikë, nga këndvështrimi im modest dhe i parëndësishëm që ndaj me miliona përdorues të Windows:

    Do të më pëlqente të kaloja në linux! por shumë prej nesh e kanë të pamundur, pse? do të pyesni veten ... sepse për mua kompjuteri është mjeti që duhet të kryej punën time, nuk është fundi ... Nuk e di nëse e kuptoni se çfarë duam të gjithë (dhe JUANZITO ju ka thënë mirë) është një sistem operativ i qëndrueshëm që na ndihmon të për të kryer punën tonë, nuk kam kohë të mësoj se si të bëj gjëra themelore si instalimi i një programi nga tastiera, gjithçka duhet të jetë më intuitive dhe më e lehtë ... Si një sipërmarrës, unë do t'ju them se menaxhimi që ju mbani me Linux është katastrofik, në vend që të ndihmoni njerëzit për të bërë ndryshimin e sistemit operativ ju këmbëngulni që njerëzit të gënjejnë me gjëra që nuk ju interesojnë dhe ju vetë e bllokoni ndryshimin ... dikush që programoi në asembler, java, javascript, html, php dhe xbase ju thotë kështu ... dhe ajo prek hundën time duke pasur nevojë të hap konsolën për pothuajse gjithçka.

    Një përshëndetje

  45.   defkon dijo

    Stamina DOS 6.22 e vjetër !!

  46.   erput dijo

    Vendos ju për të studiuar dhe për të lënë atë mut të wuendos që punon për disa sepse ata e bëjnë vënë si çelësat, ata nuk i paguajnë ato, për të shtuar fyerjen e lëndimit ata që i bëri ato çelësat janë gjeniu linux dhe ata duhet, për këtë arsye Ju jeni si budallenj duke diskutuar mamahuevadas, për biznesmenët që u them atyre, vazhdoni të paguani licencën e tyre dhe nëse ajo që ata duan është një stallë e tillë, ata fitojnë kohën se çfarë dreqin bëjnë duke shkruar gomarë në këto tutos kjo është për ata prej nesh që pëlqejnë idiotët linux ... .. gisht po asi

  47.   GJENDJA dijo

    Nuk është shumë e qartë për përdoruesit fillestarë. Për shembull ju thoni:
    «Së pari shkojmë në dosjen ku kemi skedarin, nëse dosja ka disa fjalë duhet t'i vendosim me" "ose nëse nuk kërkon dosje me secilën fjalë» ...
    Çdo përdorues do të hyjë në këto dosje me «explorer» dhe do të riemërtohet pa ditur emrin e dosjes që e përmban atë me thonjëza. Kjo nga pikëpamja që ju e lexoni, «nga pikëpamja e përdoruesit fillestar.

    Pastaj vendosni:
    dosje cd ku është skedari

    cd "dosje ku është skedari"
    Nga ajo pikë, përdoruesi tashmë ka shkuar në re ose kudo, sepse tani e tutje ai është i humbur në CD me inicialet, ju nuk e sqaroni se si arrini atje, një shembull hap pas hapi, duke filluar me gjithë atë .. po hap konsolën së pari.

  48.   GJENDJA dijo

    Për HECTOR MATOS: Adobe plugin, java dhe të tjerët nuk kanë nevojë të bëhen manualisht, duhet të lidheni vetëm me internet për një kohë dhe në menaxherin e azhurnimit do të shfaqet automatikisht, nga atje do të azhurnohet automatikisht, që Firefox të Opera, dhe pjesa tjetër në mënyrë të pavarur ... normalisht lëshuesi është afër orës në shiritin e fillimit, në disa distro pashë që në mënyrë të paracaktuar ishte atje, nuk e di nëse do të jetë kështu në të gjithë ata.

  49.   Max dijo

    Ju lutemi jini më të qartë, shumë informacion mungon

  50.   mary dijo

    provoni të azhurnoni python në 3.x dhe të bëni instalimin pas përfundimit më tregon se ekziston një gabim:
    zipimport.zipimporterror nuk mund të dekompresojë të dhënat zlib nuk është i disponueshëm bëni gabim *** i instalimit

  51.   f_leonar dijo

    Pasi të hiqni zinxhirin për të ekzekutuar ./configure është e nevojshme të futni në drejtorinë e zinxhirit, përndryshe nuk funksionon. Unë përdor KDE dhe në mënyrë grafike kam hyrë në dosjen që hapa nga zinxhiri dhe atje hapa një terminal për të ekzekutuar "make" por nuk funksionon ...

  52.   anonim dijo

    Unë kam një pyetje, unë kam këtë:
    manolo @ mxlolo-Sateliti-c655d: Des / Desktopi $. / konfiguro –ndihmë
    bash: ./configure: Asnjë skedar apo direktori e tillë
    cfare bej?

  53.   KATSODA dijo

    E gjitha mirë derisa të dilte. / Konfigurimi i topave.
    ÇFAR KUPTOJN ME KATT! Ata nuk e shpjegojnë atë, unë vetëm dua të instaloj jetën e dytë të ndyrë xddd
    «»»katsoda@katsoda-PC:~/Downloads$ ‘/home/katsoda/Downloads/Second_Life_5_0_4_325124_i686’/configure
    bash: / home / katsoda / Shkarkime / Second_Life_5_0_4_325124_i686 / konfiguro: Skedari ose direktoria nuk ekzistojnë »» »
    Më mirë të shkarkoj Windows 10 dhe të marr gomarin. (?)
    Epo, jo. Por kjo është një nga gjërat që unë e urrej për Linux. Instalimi dhe lutja që programet tuaja të preferuara të jenë të përputhshme këtu është mjaft sfidë.

    1.    Gatoo_ dijo

      Nuk është për t'u shqetësuar, zotërinj, por krijuesi i tutorialit shpjegon në mënyrë të përsosur se çfarë të bëni nëse keni një gabim me ./configure. Thjesht duhet të mbaroni së lexuari pjesën tjetër të tutorialit (i cili është 4 rreshta).

      Më duket e pabesueshme që kaq shumë njerëz ankohen se nuk i shpjegon gjërat kur as nuk ke ndaluar të lexosh.

  54.   e premte dijo

    Epo, unë zyrtarisht deklarohem i paaftë për këtë lloj skedari. Po përpiqem të instaloj java dhe kjo është ajo që është;
    javier @ loft: / JAVA / jre1.8.0_151 $ tar -zxvf jre-8u151-linux-x64.tar.gz
    tar (fëmijë): jre-8u151-linux-x64.tar.gz: Nuk mund të hapet: Skedari ose drejtoria nuk ekziston
    tar (fëmijë): Gabimi nuk mund të rikuperohet: ekziston tani
    tar: Fëmija e ktheu statusin 2
    tar: Gabimi nuk mund të rikuperohet: ekziston tani

  55.   Roger deku dijo

    në linux ubuntu 18.04.01 lts ju thjesht duhet të shtypni ./namedelprograma në të njëjtën dosje pasi ta hiqni atë dhe voila !!!

  56.   jia dijo

    Shumë mirë, ishte shumë e dobishme.

  57.   emerson Goncalez dijo

    në av linux kjo nuk funksionon
    Unë nuk e di se çfarë është e çuditshme për mua; ose sa herë që instaloni një distro filloni rrugën e kryqit
    e shihni si shkon tastiera

  58.   Jose Felix Paisano Morales dijo

    Përshëndetje të gjithëve, unë përdor Ubunto 20 dhe u këshillova me këtë faqe për të instaluar skanerin e një Epson L4150 (i shkarkova disqet nga http://support.epson.net/linux/en/imagescanv3.php?version=1.3.38#ubuntu).
    Unë ndoqa hapat dhe përdora 'tar -zxvf filename.tar.gz', kur zbërtheva unë
    '$ cd imagescan-bundle-ubuntu-20.04-3.63.0.x64.deb', i cili është dosja që është krijuar.
    Brenda dosjes kam përdorur './install.sh', që është si të përdorësh './configure', sistemi më kërkoi fjalëkalimin tim dhe gjithçka ishte e instaluar mirë.
    Unë provova skanerin tim dhe ishte shumë mirë, faleminderit që më dhatë udhëzimet, unë isha në gjendje të përdor skanerin tim